Skip to content
Skip to main content

Nylas Ruby SDK v6.8.0

sdksruby
  • Policies resource — Manage application policies.
  • Rules resource — Manage inbox rules and list rule evaluations.
  • Lists resource — Create application lists.
  • Workspaces resource — Manage workspaces, including auto-grouping, manual assignment, and the default, policy_id, and rule_ids fields.
  • Domains resource — Manage domains, backed by new ServiceAccountSigner support for signed Service Account Manage Domains requests (canonical signed bodies, encoded domain paths, and info and verify operations).
  • Applications update support — Update an application with PATCH /v3/applications.
  • Request body on DELETE — Pass a request body on DELETE requests, such as a cancellation_reason when cancelling bookings.
  • RedirectUris update verb — Corrected the update verb from PUT to PATCH.
  • Content type for empty request bodies — Fixed an HTTParty issue where requests with a nil body did not send Content-Type: application/json. POST, PUT, PATCH, and DELETE now default to an empty object.